/*
 * Copyright (C) 2013 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SQL_PARAM_OBJECT_H
#define SQL_PARAM_OBJECT_H

#include "sql-object.h"

#define SQL_TYPE_PARAM_OBJECT	(sql_param_object_get_type ())
#define SQL_PARAM_OBJECT(pspec)	(G_TYPE_CHECK_INSTANCE_CAST ((pspec), SQL_TYPE_PARAM_OBJECT, SqlParamObject))

typedef struct
{
	GParamSpec parent;
}
SqlParamObject;

GType			sql_param_object_get_type	();
GParamSpec *	sql_param_object			(const gchar * name
											,const gchar * nick
											,const gchar * blurb
											,GType object_type
											,GParamFlags flags);

#endif
